Package com.sun.speech.engine

# Interface SpeechEventDispatcher

All Known Implementing Classes:
  `BaseEngine`, `BaseEngineProperties`, `BaseSynthesizer`, `BaseSynthesizerProperties`, `BaseSynthesizerQueueItem`, `FreeTTSSynthesizer`, `FreeTTSSynthesizerQueueItem`, `TextSynthesizer`, `TextSynthesizerQueueItem`

public interface SpeechEventDispatcher
Interface to be implemented by objects that dispatch `SpeechEvents`.

See Also:
  - `SpeechEventUtilities`

## Method Summary

Modifier and Type
Method
Description
`void`
`dispatchSpeechEvent(SpeechEvent event)`
Dispatches a `SpeechEvent` to all appropriate `SpeechEventListeners` on the object that implements this interface.

## Method Details

### dispatchSpeechEvent

void dispatchSpeechEvent(SpeechEvent event)
Dispatches a `SpeechEvent` to all appropriate `SpeechEventListeners` on the object that implements this interface.

Parameters:
  `event` - the event to dispactch